Forum Sketchup Artlantis Archicad
Vous souhaitez réagir à ce message ? Créez un compte en quelques clics ou connectez-vous pour continuer.
Galerie


unites pouce en mm Empty
Ton bloc notes
Derniers sujets
» [ ENSCAPE ] Manette XBox
par simjoubert Aujourd'hui à 21:50

» [ PRESENTATION ] Fanou Peb
par FanouPeb Ven 22 Oct 2021 - 18:19

» [ ENSCAPE ] Accès calques BIM dans le fichier exécutable ou cloud ?
par tenrev Ven 22 Oct 2021 - 16:51

» [ ARCHICAD ] Cotation ouvertures dans mur courbe!?
par freroil Ven 22 Oct 2021 - 15:02

» [ TECHNOLOGIE DU BATIMENT ] Passion architecture
par VertiKal Ven 22 Oct 2021 - 14:59

» [ SKETCHUP plugins ] sj_AddDCFunctions
par tenrev Ven 22 Oct 2021 - 13:20

» [ ARCHICAD-OBJETS GDL ] Bibliothèque de migration archicad 9
par freroil Ven 22 Oct 2021 - 9:11

» [ SKETCHUP composants dynamiques ] OnClick Copie composant
par simjoubert Jeu 21 Oct 2021 - 21:00

» [ ARCHICAD ] Configurer la projection des surfaces sur un maillage ?
par Coulou Jeu 21 Oct 2021 - 17:04

» [AUTRES LOGICIELS] Vectary
par Pilou Mer 20 Oct 2021 - 21:54

» [ SKETCHUP plugins ] Skatter 2 - un exemple d'utilisation
par tenrev Mer 20 Oct 2021 - 11:05

» [ AUTRES LOGICIELS ] Aperçu de Houdini version 19 - sortie prochaine
par Yanosh HRDY Mer 20 Oct 2021 - 9:25

» [ AUTRES LOGICIELS ] davinci resolve
par tenrev Mar 19 Oct 2021 - 12:01

» [ ARCHICAD ] TUTO - Créer un fichier modèle ArchiCad
par Coulou Mar 19 Oct 2021 - 9:25

» [ AUTRES LOGICIELS ] SOUNDLY Une Mine d'Or d'Effets Sonores pour vos animations
par tenrev Lun 18 Oct 2021 - 14:18

» [ BLENDER ] Animation d'une boule de feu
par tenrev Sam 16 Oct 2021 - 15:43

» [ SKETCHUP généralité ] Profils et Contre-Profil Menuiserie
par Pilou Sam 16 Oct 2021 - 11:09

» [ TWINMOTION ] Les 5 jours d'inspiration 2021!
par Pilou Ven 15 Oct 2021 - 19:50

» [ UNREAL ENGINE ] de twinmotion vers unreal engine - vidéo webinar en anglais
par tenrev Ven 15 Oct 2021 - 17:14

» [ SKETCHUP généralité ] SketchUp pour iPad
par REGIS Jeu 14 Oct 2021 - 22:21

» [ AUTRES LOGICIELS ] Nomad Sculpt
par Pilou Mer 13 Oct 2021 - 23:51

» [ SKETCHUP composants dynamiques ] composant dynamique avec proxy 2d pour choix des coloris
par Rascal Mer 13 Oct 2021 - 21:47

» [ AUTRES LOGICIELS ] Verve sous le sapin de Noël!
par Pilou Mer 13 Oct 2021 - 17:04

» [ SKETCHUP généralité ] 3D WAREHOUSE Importer, Télécharger, Exporter avec 2017
par tenrev Mer 13 Oct 2021 - 15:23

» [ SKETCHUP ruby ] Peux-ton réaliser des enregistrement de macro dans SketchUp ?
par JDD Mer 13 Oct 2021 - 14:25

» [ SKETCHUP plugins ] Skatter 2 disponible
par Rascal Mar 12 Oct 2021 - 18:44

» [ OBJETS ET BILLBOARDS ] Création de personnage
par tenrev Mar 12 Oct 2021 - 16:41

» [ SKETCHUP généralité ] Profil Builder
par Rascal Lun 11 Oct 2021 - 19:16

» [ TWINMOTION ] Retour d'expérience sur le challenge n°7
par AK40Cess Lun 11 Oct 2021 - 9:38

» [ ARCHICAD ] Réalisation de chevronnière
par lena29 Ven 8 Oct 2021 - 23:51

» [ SKETCHUP généralité ] Calque et arborescence de groupe
par grayos Ven 8 Oct 2021 - 11:12

» [ PRESENTATION ]
par Fab Jeu 7 Oct 2021 - 17:59

» [ SKETCHUP ruby ] Modification de l'Interface Graphique Utilisateur de SketchUp (GUI)
par tenrev Jeu 7 Oct 2021 - 15:04

» [ UNREAL ENGINE ] pack d'assets free pour Unreal engine 4 , qui comprend 23 paysages et 7 panoramas du ciel
par tenrev Jeu 7 Oct 2021 - 11:00

» [AUTRES LOGICIELS] Moi3D beta 4.0 - 64 bits Mac / PC 27 Octobre 2020
par Pilou Mar 5 Oct 2021 - 22:36

unites pouce en mm

Voir le sujet précédent Voir le sujet suivant Aller en bas

Anonymous
Invité
Invité

MessageInvité Mar 26 Jan 2010 - 20:53

bonsoir
le gentil tutoapi 104 donne des dimensions
en mm sauf que 50 donne 1270mm
comment faire
merci
fabien
ga
ga
Moulin à parole
Moulin à parole
Masculin Humeur : boiseuse ......
Date d'inscription : 02/01/2010
Nombre de messages : 312
Points : 363
Age : 44
Localisation : Chez moi !........
Emploi : Charpentier

Messagega Mar 26 Jan 2010 - 21:02

Désolé mais je ne comprend pas tros de quoi tu parle !
Pourrais tu être un peu plus explicite ?

-------------------------------------------------------------------------------------------------------------------------
_"Ne compte pas les jours, fais en sorte que chaque jour compte"
Bonne journée à vous !!!!!

Jérôme
Anonymous
Invité
Invité

MessageInvité Mer 27 Jan 2010 - 8:42

bonjour
dans les tutos 1 2 3 4 5 6 ect
on peut charger des tuto par ex Api104.rb
dans les plugins et lorsque je l utilise
les dimensions ex 50 sont executees
en pouces et si on mesure (tape)
on obtient 1270mm
il serait plus pratique de demander 100
et d obtenir 100mm
voila le probleme
merci d avance
fabien
tenrev
tenrev
FONDATEUR DE BIBLIO3D
FONDATEUR DE BIBLIO3D
Masculin Humeur : excellente comme toujours
Date d'inscription : 19/01/2008
Nombre de messages : 18114
Points : 30779
Age : 58
Localisation : Dans la quatrieme dimension
Emploi : archi d'intérieur salarié
https://www.biblio3d.com

Messagetenrev Mer 27 Jan 2010 - 13:27

@ga a écrit:Désolé mais je ne comprend pas tros de quoi tu parle !
Pourrais tu être un peu plus explicite ?

Alors notre ami charpentier de 33 ans qui peu marcher sur l'eau, multiplier les pains, tu ne sais pas pourquoi : " 50 donne 1270mm "

à vrai dire je ne comprend rien non plus fou1

Cette question c'est pour Christophe le roi du plugin

bon je vous laisse j'ai du taf cooking vaiselle

-------------------------------------------------------------------------------------------------------------------------
je ne sais pas grand chose , mais le peu que je sache , je le partage 
1 PC fixe avec proc Rizen 9 3950X 32 threads - cg nvidia geforce RTX3080  - 64 go de ram DDssd 1To
1 PC portable MSI TITAN PRO écran 17''|win10 64 bits| i7 Quad core|ram 32go| CG GFORCE GTX1080 avec 8go
1 casque VR Occulus Rift - 1 vieux PC portable Dell sous Linux Ubuntu 18    1 vieux pc portable HP sous chromebook
Modélisation : Sketchup - Rhino - Pconplanner   Rendu: Enscape - Keyshot - Unreal Engine - Artlantis - Twinmotion   Autres: Photoshop - Illustrator - Indesign - Vidéostudio - After Effect - Première

unites pouce en mm 575088biblio3d
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 13:44

Salut à vous,

Quelques précisions, la seule finalité des ces plugins est un objectif pédagogique et d'appuyer le tuto traité. On peut difficilement traiter tous les sujets en même temps. Ces plugins n'ont pas été développés pour être utilisé en soit.

Le sujet que soulève Fabient est en effet intéressant, mais c'est pas un choix délibéré, même lorsque tu choisis comme unité de modèle le "mm", certaines commandes et calculs natifs de sketchup se font obligatoirement en pouces, c'est un peu dommage, mais comme cela. La conversion doit faire l'objet de lignes de script supplémentaires.

La gestion des unités devra faire l'objet d'un sujet à part entière.

@+

Christophe
Anonymous
Invité
Invité

MessageInvité Mer 27 Jan 2010 - 14:52

en m inspirant de box.rb j ai vu que les valeurs par default
du genre [ 0.mm ,0.mm,0.mm]
donc je fait suivre la valeur .mm
a bientot
fabien
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 20:42

fabient a écrit:en m inspirant de box.rb j ai vu que les valeurs par default
du genre [ 0.mm ,0.mm,0.mm]
donc je fait suivre la valeur .mm
a bientot
fabien

Re Fabien

si tu veux aller plus loin, j'ai modifié le plugin tutoApi104.rb sur des conseils de Jojo2, regardes les lignes de 13 à 26
L'avantage, de ces lignes, c'est de prendre en compte l'unité par défaut de ton modèle.

Code:

# cp
   # Définition d'une méthode
   require 'sketchup.rb'
   def mon_inputbox
      # Création de la boite de dialogue
      prompts = ["Axe x1", "Axe y1", "Axe z1", "Axe x2", "Axe y2", "Axe z2"]
      values = [0, 0, 0, 0, 50, 0]
      results = UI.inputbox prompts, values, "Ma premiere InputBox"
      return if not results   
      x1, y1, z1, x2, y2, z2 = results
      model = Sketchup.active_model
      
      # conversion d'unité
       convertit = []
        convertit[0]= 1.inch
        convertit[1]= 1.feet
        convertit[2]= 1.mm
        convertit[3]= 1.cm
        convertit[4]= 1.m
        uniteCourante = model.options["UnitsOptions"]["LengthUnit"]
        x1 = x1.to_f * convertit[uniteCourante]
        y1 = y1.to_f * convertit[uniteCourante]
        z1 = z1.to_f * convertit[uniteCourante]
        x2 = x2.to_f * convertit[uniteCourante]
        y2 = y2.to_f * convertit[uniteCourante]
        z2 = z2.to_f * convertit[uniteCourante] # fin conversion unité
       
      # Construction de la ligne
      pt1 = [x1,y1,z1]
      pt2 = [x2,y2,z2]
      model.entities.add_line(pt1, pt2)
   end
   
   if( not file_loaded?("TutoApi104.rb") )
   UI.menu("Draw").add_item("Dessiner une ligne"){ mon_inputbox }
   UI.menu("Tools").add_item("Dessiner une ligne"){ mon_inputbox }
   UI.menu("Plugins").add_item("Dessiner une ligne"){ mon_inputbox }
      UI.add_context_menu_handler do |context_menu|
      context_menu.add_separator
      context_menu.add_item("Mon premier menu contextuel") { mon_inputbox }
      end
   file_loaded("TutoApi104.rb")
   end

@+

Christophe
Anonymous
Invité
Invité

MessageInvité Mer 27 Jan 2010 - 20:52

merci
je regarde avec attention
une autre question me vient
comment faire
pt3 =pt1+pt2
avec pt1= [1,2,3]
pt2= [4,5,6]
et obtenir pt3=[5,7,9]
merci d avance
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 21:09

fabient a écrit:merci
je regarde avec attention
une autre question me vient
comment faire
pt3 =pt1+pt2
avec pt1= [1,2,3]
pt2= [4,5,6]
et obtenir pt3=[5,7,9]
merci d avance

Il faut que tu définisses des variables locales du style Arrow
Code:

x1 = 1
y1 = 2
z1 = 3
x2 = 4
y2 = 5
z2 = 6
pt1 = [x1, y1, z1]
pt2 = [x2, y2, z2]
pt3 = [x1 + x2, y1 + y2, z1 + z2]

@+

Christophe
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Mer 27 Jan 2010 - 21:11

@Tenrev a écrit:
@ga a écrit:Désolé mais je ne comprend pas tros de quoi tu parle !
Pourrais tu être un peu plus explicite ?

Alors notre ami charpentier de 33 ans qui peu marcher sur l'eau, multiplier les pains, tu ne sais pas pourquoi : " 50 donne 1270mm "

à vrai dire je ne comprend rien non plus fou1

Cette question c'est pour Christophe le roi du plugin

bon je vous laisse j'ai du taf cooking vaiselle

Tu fais dans la restauration jack pain lol!
Anonymous
Invité
Invité

MessageInvité Dim 31 Jan 2010 - 17:43

bonjour
pour faire pt1+pt2=pt3
pt1=[1,2,3]
pt2=[4,5,6]
pt3=pt1.offset pt2
a tester
fabien
c.plassais
c.plassais
modérateur
modérateur
Masculin Date d'inscription : 19/07/2009
Nombre de messages : 2058
Points : 2479
Age : 59
Localisation : Chambéry
Emploi : Responsable Gestion Atelier
http://bande.village.free.fr/

Messagec.plassais Dim 31 Jan 2010 - 18:53

Salut Fabien

Je pense que Sketchup considere ton pt2, comme un vecteur et non un point

Méthode offset

Ce code ne marche pas
Code:

point1 = Geom::Point3d.new 10,10,10
point2 = Geom::Point3d.new 0,0,0
point3 = point1.offset! point2

Ce code fonctionne
Code:

point1 = Geom::Point3d.new 10,10,10
vector = Geom::Vector3d.new(0,0,1)
point3 = point1.offset! vector

A verifier scratch

@+

Christophe

Voir le sujet précédent Voir le sujet suivant Revenir en haut

Créer un compte ou se connecter pour répondre

Vous devez être membre pour répondre.

S'enregistrer

Rejoignez notre communauté ! C'est facile !


S'enregistrer

Connexion

Vous êtes déjà membre ? Aucun soucis, cliquez ici pour vous connecter.


Connexion

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum